{-# LANGUAGE NoMonomorphismRestriction #-}

import Diagrams.Backend.SVG.CmdLine
import Diagrams.Prelude

import Data.List
import Data.Maybe

import DC hiding (circle)
import Tempest

tree res = collapse tempest
         $ merge tempest
         $ buildTree (fst bounds) (snd bounds) res

getContours res = dc hi $ tree res

{-
a :: Diagram B
a = mconcat [circle 0.007 # translate (r2 pt) # lc darkred # fc darkred |
             pt <- getPts 5]
             -}

outline :: Diagram B
outline =  mconcat [(p2 $ fst pt) ~~ (p2 $ snd pt) | pt <- getContours 5]

main = mainWith outline
