{-# LANGUAGE NoMonomorphismRestriction #-}
import Diagrams.Backend.SVG.CmdLine
import Diagrams.Prelude

import Data.List

import Types
import Squares (getEdges, makeQuads)
import Shape (hi)

res = 27

edges :: [Edge]
edges = getEdges hi (0,0) (1,1) res

q = makeQuads (0,0) (1,1) res
pts = nub $ concat [[(xmin, ymin), (xmin, ymax), (xmax, ymin), (xmax, ymax)]
                    | ((xmin, ymin), (xmax, ymax)) <- q]
vs = zip (map hi pts) pts

example :: Diagram B
example = mconcat [(p2 $ fst e) ~~ (p2 $ snd e) # lc green| e <- edges] <>
          mconcat [circle 0.005 # translate (r2 d)
                                # fc (if v < 0 then black else lightgrey)
                                # lcA transparent
                        | (v, d) <- vs]

main = mainWith (example :: Diagram B)
