{-# LANGUAGE NoMonomorphismRestriction #-}
import Diagrams.Backend.SVG.CmdLine
import Diagrams.Prelude

import Data.List

import Types
import Squares (getEdges, makeQuads)
import Shape (hi)

example :: Diagram B
example = foldr1 (\x y -> x ||| strut unitX # scaleX 0.5 ||| y)
    [mconcat [(p2 $ fst e) ~~ (p2 $ snd e) # lc green # lw 2
                | e <- edges res]
            | res <- [11, 21, 31, 41]]
    where edges = getEdges hi (0,0) (1,1)

main = mainWith (example :: Diagram B)
